## NMSettingHostname NMSettingHostname — Contains properties related to the hostname |

## Functions

NMSetting * | nm_setting_hostname_new ()
int | nm_setting_hostname_get_priority ()
NMTernary | nm_setting_hostname_get_from_dhcp ()
NMTernary | nm_setting_hostname_get_from_dns_lookup ()
NMTernary | nm_setting_hostname_get_only_from_default ()

## Types and Values

#define | NM_SETTING_HOSTNAME_SETTING_NAME
#define | NM_SETTING_HOSTNAME_PRIORITY
#define | NM_SETTING_HOSTNAME_FROM_DHCP
#define | NM_SETTING_HOSTNAME_FROM_DNS_LOOKUP
#define | NM_SETTING_HOSTNAME_ONLY_FROM_DEFAULT

## Includes

    #include <nm-setting-hostname.h>

## Description

## Functions

### nm_setting_hostname_new ()

    NMSetting *
    nm_setting_hostname_new (void);

Creates a new NMSettingHostname object with default values.

#### Returns

the new empty NMSettingHostname object.

[transfer full]

Since: 1.42

### nm_setting_hostname_get_priority ()

    int
    nm_setting_hostname_get_priority (NMSettingHostname *setting);

Returns the value contained in the “priority” property.

#### Parameters

setting | the NMSettingHostname |

#### Returns

the 'priority' property value

Since: 1.30

### nm_setting_hostname_get_from_dhcp ()

    NMTernary
    nm_setting_hostname_get_from_dhcp (NMSettingHostname *setting);

Returns the value contained in the “from-dhcp” property.

#### Parameters

setting | the NMSettingHostname |

#### Returns

the 'from-dhcp' property value

Since: 1.30

### nm_setting_hostname_get_from_dns_lookup ()

    NMTernary
    nm_setting_hostname_get_from_dns_lookup
                                   (NMSettingHostname *setting);

Returns the value contained in the “from-dns-lookup” property.

#### Parameters

setting | the NMSettingHostname |

#### Returns

the 'from-dns-lookup' property value

Since: 1.30

### nm_setting_hostname_get_only_from_default ()

    NMTernary
    nm_setting_hostname_get_only_from_default
                                   (NMSettingHostname *setting);

Returns the value contained in the “only-from-default” property.

#### Parameters

setting | the NMSettingHostname |

#### Returns

the 'only-from-default' property value

Since: 1.30

## Types and Values

### NM_SETTING_HOSTNAME_SETTING_NAME

    #define NM_SETTING_HOSTNAME_SETTING_NAME "hostname"

### NM_SETTING_HOSTNAME_PRIORITY

    #define NM_SETTING_HOSTNAME_PRIORITY          "priority"

### NM_SETTING_HOSTNAME_FROM_DHCP

    #define NM_SETTING_HOSTNAME_FROM_DHCP         "from-dhcp"

### NM_SETTING_HOSTNAME_FROM_DNS_LOOKUP

    #define NM_SETTING_HOSTNAME_FROM_DNS_LOOKUP   "from-dns-lookup"

### NM_SETTING_HOSTNAME_ONLY_FROM_DEFAULT

    #define NM_SETTING_HOSTNAME_ONLY_FROM_DEFAULT "only-from-default"